Summary: The Postfix mailer daemon
Name: postfix
%define version_bogus 0.0
%define version_maj 20010228
%define version_min pl08
%define version_tls 0.7.13
%define version_ssl 0.9.6
Version: %{version_bogus}.%{version_maj}.%{version_min}
Release: 4tr
Source: ftp://ftp.sunet.se/pub/unix/mail/postfix/official/postfix-%{version_maj}-%{version_min}.tar.gz
Source1: postfix-main.cf
Source2: postfix-init
Source3: ftp://ftp.aet.tu-cottbus.de/pub/postfix_tls/pfixtls-%{version_tls}-%{version_maj}-%{version_min}-%{version_ssl}b.tar.gz
Patch1: postfix-instterm.patch
Patch2: postfix-20010228-pl08-dos.patch
License: IBM Public Licence
Group: Network/Services
URL: http://www.postfix.org/
BuildRoot: /var/tmp/postfix-root
PreReq: chkconfig /sbin/restart_maybe
Requires: findutils, openssl = %{version_ssl}
Provides: smtpdaemon

%description
Postfix is an alternative to the sendmail mailer daemon. Postfix attempts
to be fast, easy to administer, and secure, while at the same time being
sendmail compatible enough to not upset existing users.

%prep
# Needs this during compile
/usr/sbin/groupadd -r -f postfix 2>/dev/null || :
/usr/sbin/useradd -d /no/dir -s /no/shell -r postfix 2>/dev/null || :
%setup -q -n postfix-%{version_maj}-%{version_min} -a 3
%patch1 -p1
%patch2 -p1
patch -p1 < pfixtls-%{version_tls}-%{version_maj}-%{version_min}-%{version_ssl}b/pfixtls.diff

%build
make makefiles CCARGS="-DHAS_SSL -I/usr/include/openssl" AUXLIBS="-lssl -lcrypto"
CC="gcc $RPM_OPT_FLAGS" make

%install
sh INSTALL.sh <<EOF
${RPM_BUILD_ROOT}

/etc/postfix
/usr/lib/postfix
/usr/sbin
/var/spool/postfix
/usr/sbin/sendmail
/usr/sbin/newaliases
/usr/bin/mailq
postfix
postfix
/usr/share/man
EOF
mkdir -p $RPM_BUILD_ROOT/etc/{postfix,rc.d/init.d}
mkdir -p -m 0700 $RPM_BUILD_ROOT/var/spool/postfix/{active,bounce,corrupt,defer}
mkdir -p -m 0700 $RPM_BUILD_ROOT/var/spool/postfix/{incoming,private,saved}
mkdir -p -m 0700 $RPM_BUILD_ROOT/var/spool/postfix/{deferred,flush}
mkdir -p -m 1730 $RPM_BUILD_ROOT/var/spool/postfix/maildrop
mkdir -p -m 0755 $RPM_BUILD_ROOT/var/spool/postfix/{pid,public}
# Changed this from 'chown postfix.root', removed same lines from %post - SSO
chown postfix.postfix $RPM_BUILD_ROOT/var/spool/postfix
chown postfix.postfix $RPM_BUILD_ROOT/var/spool/postfix/*
install -m 644 $RPM_SOURCE_DIR/postfix-main.cf $RPM_BUILD_ROOT/etc/postfix/main.cf
install -m 755 $RPM_SOURCE_DIR/postfix-init $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
install -m 755 auxiliary/rmail/rmail $RPM_BUILD_ROOT/usr/sbin
touch $RPM_BUILD_ROOT/etc/postfix/prng_exch
chmod 0600 $RPM_BUILD_ROOT/etc/postfix/prng_exch

%pre
/etc/rc.d/init.d/postfix stop 2>/dev/null >/dev/null || :
# Dynamically add the postfix user BEFORE installing package
/usr/sbin/groupadd -r -f postfix 2>/dev/null || :
/usr/sbin/useradd -d /no/dir -s /no/shell -g postfix -r postfix 2>/dev/null || :

%post
/etc/rc.d/init.d/postfix start 2>/dev/null >/dev/null || :
/usr/sbin/newaliases
# This is highly unusual in Trustix.  Needed to get mail queues running.
# Also note that the default config file only listens to loopback interface.
chkconfig --add postfix
chkconfig postfix on
# (Re)start service.
/sbin/restart_maybe postfix

%preun
if [ $1 = 0 ]; then
	/etc/rc.d/init.d/postfix stop 2>/dev/null || :
	chkconfig --del postfix || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(noreplace) %verify(not mtime size md5) /etc/postfix/access
%config(noreplace) %verify(not mtime size md5) /etc/postfix/aliases
%config(noreplace) %verify(not mtime size md5) /etc/postfix/canonical
%config(noreplace) %verify(not mtime size md5) /etc/postfix/main.cf
%config(noreplace) %verify(not mtime size md5) /etc/postfix/master.cf
%config(noreplace) %verify(not mtime size md5) /etc/postfix/pcre_table
%config(noreplace) %verify(not mtime size md5) /etc/postfix/regexp_table
%config(noreplace) %verify(not mtime size md5) /etc/postfix/relocated
%config(noreplace) %verify(not mtime size md5) /etc/postfix/transport
%config(noreplace) %verify(not mtime size md5) /etc/postfix/virtual
%ghost %attr(0600,root,root) /etc/postfix/prng_exch
/etc/postfix/install.cf
/etc/postfix/LICENSE
/etc/postfix/main.cf.default
/etc/postfix/postfix-script
/etc/postfix/postfix-script-diff
/etc/postfix/postfix-script-nosgid
/etc/postfix/postfix-script-sgid
/usr/bin/mailq
/usr/lib/postfix
/usr/sbin/*
/usr/share/man/man*/*
/etc/rc.d/init.d/postfix
%dir %attr(0755,root,root) /var/spool/postfix/
%attr(0700,postfix,postfix) /var/spool/postfix/active
%attr(0700,postfix,postfix) /var/spool/postfix/bounce
%attr(0700,postfix,postfix) /var/spool/postfix/corrupt
%attr(0700,postfix,postfix) /var/spool/postfix/defer
%attr(0700,postfix,postfix) /var/spool/postfix/deferred
%attr(0700,postfix,postfix) /var/spool/postfix/flush
%attr(0700,postfix,postfix) /var/spool/postfix/incoming
%attr(1733,postfix,postfix) /var/spool/postfix/maildrop
%attr(0755,postfix,postfix) /var/spool/postfix/pid
%attr(0700,postfix,postfix) /var/spool/postfix/private
%attr(0755,postfix,postfix) /var/spool/postfix/public
%attr(0700,postfix,postfix) /var/spool/postfix/saved

%doc html/* 0README COMPATIBILITY DB_README DEBUG_README ETRN_README
%doc FILTER_README HISTORY LDAP_README INSTALL LICENSE LINUX_README 
%doc LMTP_README MYSQL_README PCRE_README RELEASE_NOTES RESTRICTION_CLASS
%doc SASL_README TODO UUCP_README conf/sample-*

%doc pfixtls-%{version_tls}-%{version_maj}-%{version_ssl}b/README
%doc pfixtls-%{version_tls}-%{version_maj}-%{version_ssl}b/CHANGES
%doc pfixtls-%{version_tls}-%{version_maj}-%{version_ssl}b/TODO
%doc pfixtls-%{version_tls}-%{version_maj}-%{version_ssl}b/doc/*
%doc pfixtls-%{version_tls}-%{version_maj}-%{version_ssl}b/contributed/*

%changelog
* Mon Aug  4 2003 Erlend Midttun <erlendbm@trustix.com>
- Added patch to fix DoS.

* Mon Mar 24 2003 Erlend Midttun <erlendbm@trustix.com>
- Added rmail.

* Thu Jan  3 2002 Erlend Midttun <erlendbm@trustix.com>
- Fixed system startup scripts.

* Wed Nov 21 2001 Christian H. Toldnes <christht@trustix.com>
- Upgrade to pl08.

* Wed Oct 10 2001 Erlend Midttun <erlendbm@trustix.com>
- Picked up pl05.
- Fixed permissions of maildrop.

* Thu Jun  7 2001 Erlend Midttun <erlendbm@trustix.com>
- Added pl03.

* Mon Apr 23 2001 Erlend Midttun <erlendbm@trustix.com>
- Also include prng_exch so it will uninstall clean.

* Fri Apr 20 2001 Erlend Midttun <erlendbm@trustix.com>
- Added newaliases to startup script.

* Tue Mar  6 2001 Erlend Midttun <erlendbm@trustix.com>
- Added TLS.

* Tue Mar  6 2001 Erlend Midttun <erlendbm@trustix.com>
- Updated to the non-beta release 20010228.
- Now run setguid maildrop.
- Added the docs.

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb@trustix.com>
- Fixed preun to only run chkconfig off and service stop if
  not upgrading.

* Sun Nov 26 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to pl11.

* Wed Oct  4 2000 Erlend Midttun <erlendbm@trustix.com>
- Added findutils as requirement.  (#65)

* Thu Sep 21 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to pl09

* Thu Sep 14 2000 Per Ivar Paulsen <perp@trustix.com>
- Added newaliases

* Fri Apr  7 2000 Stian Storengen Olsen <stiano@tihlde.org>
- Added 'provides'
- Moved 'useradd' and 'groupadd' to %pre
- Changed 'chown' in %install from postfix.root to postfix.postfix

* Thu Mar  2 2000 Erlend Midttun <erlendbm@trustix.com>
- Added spool dirs

* Wed Mar  1 2000 Lars Gaarden <larsg@trustix.com>
- man pages moved to /usr/share/man
- makes /var/spool/postfix/maildrop correctly

